PHPExcel_Writer_Excel5

# Class: PHPExcel_Writer_Excel5_BIFFwriter

Source Location: /PHPExcel/Writer/Excel5/BIFFwriter.php

### Class Overview

PHPExcel_Writer_Excel5_BIFFwriter

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Variables

- $_data
- $_datasize
- $_limit

### Methods

- __construct
- getByteOrder
- writeData
- writeEof

### Child classes:

PHPExcel_Writer_Excel5_Workbook
  PHPExcel_Writer_Excel5_Workbook

PHPExcel_Writer_Excel5_Worksheet
  PHPExcel_Writer_Excel5_Worksheet

### Class Details

[line 70]
PHPExcel_Writer_Excel5_BIFFwriter

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Variables

#### $_data =

[line 82]

The string containing the data of the BIFF stream

#### Tags:

access: | public

Type: | string

[ Top ]

#### $_datasize =

[line 88]

The size of the data in bytes. Should be the same as strlen($this->_data)

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $_limit = 8224

[line 95]

The maximum length for a BIFF record (excluding record header and length field). See _addContinue()

#### Tags:

see: | _addContinue()
access: | public

Type: | integer

[ Top ]

### Class Methods

### static method getByteOrder [line 113]

`static int getByteOrder( )`

Determine the byte order and store it as class data to avoid recalculating it for each call to new().

#### Tags:

access: | public

[ Top ]

### constructor __construct [line 100]

`PHPExcel_Writer_Excel5_BIFFwriter __construct( )`

Constructor

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Writer_Excel5_Workbook::__construct()
  Class constructor

PHPExcel_Writer_Excel5_Worksheet::__construct()
  Constructor

[ Top ]

### method writeData [line 154]

`string writeData( string $data)`

General storage function like _append, but returns string instead of modifying $this->_data

#### Tags:

access: | public

#### Parameters:

string | $data | binary data to write

[ Top ]

### method writeEof [line 209]

`void writeEof( )`

Writes Excel EOF record to indicate the end of a BIFF stream.

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:16 +0200 by phpDocumentor 1.4.4